List draft billing items (internal)

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
GET /admin/billing-items/drafts

Lists billing items parked as drafts, newest first, across all organizations or narrowed by organizationId and caseId, with the total. limit defaults to 20 (at most 100). Super admin only.

Query parameters

  • organizationId string

    Only this organization

  • caseId string

    Only this case

  • limit number

    Maximum value is 100. Default value is 20.

  • skip number

    Default value is 0.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • data array[object]
        Hide data attributes Show data attributes object
        • id string Required
        • caseId string Required
        • skuKey string Required
        • status string Required
        • description string Required
        • quantity number Required
        • unitAmountCents number Required
        • amountCents number Required
        • informational boolean Required
        • listAmountCents number | null Required
        • adminNote string | null Required
      • total integer
    • statusCode number Required
    • timestamp string(date-time) Required
GET /admin/billing-items/drafts
curl \
 --request GET 'http://api.example.com/admin/billing-items/drafts' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "data": {
    "data": [
      {
        "id": "65a1b2c3d4e5f6a7b8c9d0e9",
        "caseId": "65a1b2c3d4e5f6a7b8c9d0e2",
        "skuKey": "addon.shipping",
        "status": "PENDING",
        "description": "Admin add-on: addon.shipping",
        "quantity": 1,
        "unitAmountCents": 2500,
        "amountCents": 2500,
        "informational": false,
        "listAmountCents": 42.0,
        "adminNote": "string"
      }
    ],
    "total": 1
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}